JsonGeneratorDelegate (Jackson-core 2.0.2 API)
Date: 2012-05-14

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.fasterxml.jackson.core.util
Class JsonGeneratorDelegate

    java.lang.Object
      com.fasterxml.jackson.core.JsonGenerator
          com.fasterxml.jackson.core.util.JsonGeneratorDelegate

All Implemented Interfaces:
  Versioned, Closeable

    public class JsonGeneratorDelegate

extends JsonGenerator

Nested Class Summary

Nested classes/interfaces inherited from class com.fasterxml.jackson.core.JsonGenerator
`JsonGenerator.Feature`

Field Summary
`protected JsonGenerator` | `delegate` Delegate object that method calls are delegated to.

Fields inherited from class com.fasterxml.jackson.core.JsonGenerator
`_cfgPrettyPrinter`

Constructor Summary
`JsonGeneratorDelegate(JsonGenerator d)`

Method Summary
`boolean` | `canUseSchema(FormatSchema schema)` Method that can be used to verify that given schema can be used with this generator (using `JsonGenerator.setSchema(com.fasterxml.jackson.core.FormatSchema)`).
`void` | `close()` Method called to close this generator, so that no more content can be written.
`void` | `copyCurrentEvent(JsonParser jp)` Method for copying contents of the current event that the given parser instance points to.
`void` | `copyCurrentStructure(JsonParser jp)` Method for copying contents of the current event and following events that it encloses the given parser instance points to.
`JsonGenerator` | `disable(JsonGenerator.Feature f)` Method for disabling specified features (check `JsonGenerator.Feature` for list of features)
`JsonGenerator` | `enable(JsonGenerator.Feature f)` Method for enabling specified parser features: check `JsonGenerator.Feature` for list of available features.
`void` | `flush()` Method called to flush any buffered content to the underlying target (output stream, writer), and to flush the target itself as well.
`ObjectCodec` | `getCodec()` Method for accessing the object used for writing Java object as Json content (using method `JsonGenerator.writeObject(java.lang.Object)`).
`JsonStreamContext` | `getOutputContext()`
`Object` | `getOutputTarget()` Method that can be used to get access to object that is used as target for generated output; this is usually either `OutputStream` or `Writer`, depending on what generator was constructed with.
`boolean` | `isClosed()` Method that can be called to determine whether this generator is closed or not.
`boolean` | `isEnabled(JsonGenerator.Feature f)` Method for checking whether given feature is enabled.
`JsonGenerator` | `setCodec(ObjectCodec oc)` Method that can be called to set or reset the object to use for writing Java objects as JsonContent (using method `JsonGenerator.writeObject(java.lang.Object)`).
`void` | `setSchema(FormatSchema schema)` Method to call to make this generator use specified schema.
`JsonGenerator` | `useDefaultPrettyPrinter()` Convenience method for enabling pretty-printing using the default pretty printer (`DefaultPrettyPrinter`).
`Version` | `version()` Accessor for finding out version of the bundle that provided this generator instance.
`void` | `writeBinary(Base64Variant b64variant, byte[] data, int offset, int len)` Method that will output given chunk of binary data as base64 encoded, as a complete String value (surrounded by double quotes).
`void` | `writeBoolean(boolean state)` Method for outputting literal Json boolean value (one of Strings 'true' and 'false').
`void` | `writeEndArray()` Method for writing closing marker of a JSON Array value (character ']'; plus possible white space decoration if pretty-printing is enabled).
`void` | `writeEndObject()` Method for writing closing marker of a JSON Object value (character '}'; plus possible white space decoration if pretty-printing is enabled).
`void` | `writeFieldName(SerializableString name)` Method similar to `JsonGenerator.writeFieldName(String)`, main difference being that it may perform better as some of processing (such as quoting of certain characters, or encoding into external encoding if supported by generator) can be done just once and reused for later calls.
`void` | `writeFieldName(String name)` Method for writing a field name (JSON String surrounded by double quotes: syntactically identical to a JSON String value), possibly decorated by white space if pretty-printing is enabled.
`void` | `writeNull()` Method for outputting literal Json null value.
`void` | `writeNumber(BigDecimal v)` Method for outputting indicate Json numeric value.
`void` | `writeNumber(BigInteger v)` Method for outputting given value as Json number.
`void` | `writeNumber(double v)` Method for outputting indicate Json numeric value.
`void` | `writeNumber(float v)` Method for outputting indicate Json numeric value.
`void` | `writeNumber(int v)` Method for outputting given value as Json number.
`void` | `writeNumber(long v)` Method for outputting given value as Json number.
`void` | `writeNumber(String encodedValue)` Write method that can be used for custom numeric types that can not be (easily?) converted to "standard" Java number types.
`void` | `writeObject(Object pojo)` Method for writing given Java object (POJO) as Json.
`void` | `writeRaw(char c)` Method that will force generator to copy input text verbatim with no modifications (including that no escaping is done and no separators are added even if context [array, object] would otherwise require such).
`void` | `writeRaw(char[] text, int offset, int len)` Method that will force generator to copy input text verbatim with no modifications (including that no escaping is done and no separators are added even if context [array, object] would otherwise require such).
`void` | `writeRaw(String text)` Method that will force generator to copy input text verbatim with no modifications (including that no escaping is done and no separators are added even if context [array, object] would otherwise require such).
`void` | `writeRaw(String text, int offset, int len)` Method that will force generator to copy input text verbatim with no modifications (including that no escaping is done and no separators are added even if context [array, object] would otherwise require such).
`void` | `writeRawUTF8String(byte[] text, int offset, int length)` Method similar to `JsonGenerator.writeString(String)` but that takes as its input a UTF-8 encoded String that is to be output as-is, without additional escaping (type of which depends on data format; backslashes for JSON).
`void` | `writeRawValue(char[] text, int offset, int len)`
`void` | `writeRawValue(String text)` Method that will force generator to copy input text verbatim without any modifications, but assuming it must constitute a single legal JSON value (number, string, boolean, null, Array or List).
`void` | `writeRawValue(String text, int offset, int len)`
`void` | `writeStartArray()` Method for writing starting marker of a JSON Array value (character '['; plus possible white space decoration if pretty-printing is enabled).
`void` | `writeStartObject()` Method for writing starting marker of a JSON Object value (character '{'; plus possible white space decoration if pretty-printing is enabled).
`void` | `writeString(char[] text, int offset, int len)` Method for outputting a String value.
`void` | `writeString(SerializableString text)` Method similar to `JsonGenerator.writeString(String)`, but that takes `SerializableString` which can make this potentially more efficient to call as generator may be able to reuse quoted and/or encoded representation.
`void` | `writeString(String text)` Method for outputting a String value.
`void` | `writeTree(TreeNode rootNode)` Method for writing given JSON tree (expressed as a tree where given JsonNode is the root) using this generator.
`void` | `writeUTF8String(byte[] text, int offset, int length)` Method similar to `JsonGenerator.writeString(String)` but that takes as its input a UTF-8 encoded String which has not been escaped using whatever escaping scheme data format requires (for JSON that is backslash-escaping for control characters and double-quotes; for other formats something else).

Methods inherited from class com.fasterxml.jackson.core.JsonGenerator
`configure, getCharacterEscapes, getHighestEscapedChar, getSchema, setCharacterEscapes, setHighestNonEscapedChar, setPrettyPrinter, writeArrayFieldStart, writeBinary, writeBinary, writeBinaryField, writeBooleanField, writeNullField, writeNumberField, writeNumberField, writeNumberField, writeNumberField, writeNumberField, writeObjectField, writeObjectFieldStart, writeStringField`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### delegate

    protected JsonGenerator delegate

  Delegate object that method calls are delegated to.

Constructor Detail

### JsonGeneratorDelegate

    public JsonGeneratorDelegate(JsonGenerator d)

Method Detail

### close

    public void close()
               throws IOException

  Description copied from class: `JsonGenerator`
  Method called to close this generator, so that no more content can be written.

  Whether the underlying target (stream, writer) gets closed depends on whether this generator either manages the target (i.e. is the only one with access to the target -- case if caller passes a reference to the resource such as File, but not stream); or has feature `JsonGenerator.Feature.AUTO_CLOSE_TARGET` enabled. If either of above is true, the target is also closed. Otherwise (not managing, feature not enabled), target is not closed.

  Specified by:
    `close` in interface `Closeable`
  Specified by:
    `close` in class `JsonGenerator`
  Throws:
    `IOException`

### copyCurrentEvent

    public void copyCurrentEvent(JsonParser jp)
                          throws IOException,
                                 JsonProcessingException

  Description copied from class: `JsonGenerator`
  Method for copying contents of the current event that the given parser instance points to. Note that the method will not copy any other events, such as events contained within Json Array or Object structures.

  Calling this method will not advance the given parser, although it may cause parser to internally process more data (if it lazy loads contents of value events, for example)

  Specified by:
    `copyCurrentEvent` in class `JsonGenerator`
  Throws:
    `IOException`
    `JsonProcessingException`

### copyCurrentStructure

    public void copyCurrentStructure(JsonParser jp)
                              throws IOException,
                                     JsonProcessingException

  Description copied from class: `JsonGenerator`
  Method for copying contents of the current event and following events that it encloses the given parser instance points to.

  So what constitutes enclosing? Here is the list of events that have associated enclosed events that will get copied:

  - `JsonToken.START_OBJECT`: all events up to and including matching (closing) `JsonToken.END_OBJECT` will be copied
  - `JsonToken.START_ARRAY` all events up to and including matching (closing) `JsonToken.END_ARRAY` will be copied
  - `JsonToken.FIELD_NAME` the logical value (which can consist of a single scalar value; or a sequence of related events for structured types (Json Arrays, Objects)) will be copied along with the name itself. So essentially the whole field entry (name and value) will be copied.

  After calling this method, parser will point to the last event that was copied. This will either be the event parser already pointed to (if there were no enclosed events), or the last enclosed event copied.

  Specified by:
    `copyCurrentStructure` in class `JsonGenerator`
  Throws:
    `IOException`
    `JsonProcessingException`

### disable

    public JsonGenerator disable(JsonGenerator.Feature f)

  Description copied from class: `JsonGenerator`
  Method for disabling specified features (check `JsonGenerator.Feature` for list of features)

  Specified by:
    `disable` in class `JsonGenerator`
  Returns:
    Generator itself (this), to allow chaining

### enable

    public JsonGenerator enable(JsonGenerator.Feature f)

  Description copied from class: `JsonGenerator`
  Method for enabling specified parser features: check `JsonGenerator.Feature` for list of available features.

  Specified by:
    `enable` in class `JsonGenerator`
  Returns:
    Generator itself (this), to allow chaining

### flush

    public void flush()
               throws IOException

  Description copied from class: `JsonGenerator`
  Method called to flush any buffered content to the underlying target (output stream, writer), and to flush the target itself as well.

  Specified by:
    `flush` in class `JsonGenerator`
  Throws:
    `IOException`

### getCodec

    public ObjectCodec getCodec()

  Description copied from class: `JsonGenerator`
  Method for accessing the object used for writing Java object as Json content (using method `JsonGenerator.writeObject(java.lang.Object)`).

  Specified by:
    `getCodec` in class `JsonGenerator`

### getOutputContext

    public JsonStreamContext getOutputContext()

  Specified by:
    `getOutputContext` in class `JsonGenerator`
  Returns:
    Context object that can give information about logical position within generated json content.

### setSchema

    public void setSchema(FormatSchema schema)

  Description copied from class: `JsonGenerator`
  Method to call to make this generator use specified schema. Method must be called before generating any content, right after instance has been created. Note that not all generators support schemas; and those that do usually only accept specific types of schemas: ones defined for data format this generator produces.

  If generator does not support specified schema, `UnsupportedOperationException` is thrown.

  Overrides:
    `setSchema` in class `JsonGenerator`
  Parameters:
    `schema` - Schema to use

### canUseSchema

    public boolean canUseSchema(FormatSchema schema)

  Description copied from class: `JsonGenerator`
  Method that can be used to verify that given schema can be used with this generator (using `JsonGenerator.setSchema(com.fasterxml.jackson.core.FormatSchema)`).

  Overrides:
    `canUseSchema` in class `JsonGenerator`
  Parameters:
    `schema` - Schema to check
  Returns:
    True if this generator can use given schema; false if not

### version

    public Version version()

  Description copied from class: `JsonGenerator`
  Accessor for finding out version of the bundle that provided this generator instance.

  Specified by:
    `version` in interface `Versioned`
  Specified by:
    `version` in class `JsonGenerator`

### getOutputTarget

    public Object getOutputTarget()

  Description copied from class: `JsonGenerator`
  Method that can be used to get access to object that is used as target for generated output; this is usually either `OutputStream` or `Writer`, depending on what generator was constructed with. Note that returned value may be null in some cases; including case where implementation does not want to exposed raw source to caller. In cases where output has been decorated, object returned here is the decorated version; this allows some level of interaction between users of generator and decorator object.

  In general use of this accessor should be considered as "last effort", i.e. only used if no other mechanism is applicable.

  Overrides:
    `getOutputTarget` in class `JsonGenerator`

### isClosed

    public boolean isClosed()

  Description copied from class: `JsonGenerator`
  Method that can be called to determine whether this generator is closed or not. If it is closed, no more output can be done.

  Specified by:
    `isClosed` in class `JsonGenerator`

### isEnabled

    public boolean isEnabled(JsonGenerator.Feature f)

  Description copied from class: `JsonGenerator`
  Method for checking whether given feature is enabled. Check `JsonGenerator.Feature` for list of available features.

  Specified by:
    `isEnabled` in class `JsonGenerator`

### setCodec

    public JsonGenerator setCodec(ObjectCodec oc)

  Description copied from class: `JsonGenerator`
  Method that can be called to set or reset the object to use for writing Java objects as JsonContent (using method `JsonGenerator.writeObject(java.lang.Object)`).

  Specified by:
    `setCodec` in class `JsonGenerator`
  Returns:
    Generator itself (this), to allow chaining

### useDefaultPrettyPrinter

    public JsonGenerator useDefaultPrettyPrinter()

  Description copied from class: `JsonGenerator`
  Convenience method for enabling pretty-printing using the default pretty printer (`DefaultPrettyPrinter`).

  Specified by:
    `useDefaultPrettyPrinter` in class `JsonGenerator`
  Returns:
    Generator itself (this), to allow chaining

### writeBinary

    public void writeBinary(Base64Variant b64variant,
                            byte[] data,
                            int offset,
                            int len)
                     throws IOException,
                            JsonGenerationException

  Description copied from class: `JsonGenerator`
  Method that will output given chunk of binary data as base64 encoded, as a complete String value (surrounded by double quotes). This method defaults

  Note: because Json Strings can not contain unescaped linefeeds, if linefeeds are included (as per last argument), they must be escaped. This adds overhead for decoding without improving readability. Alternatively if linefeeds are not included, resulting String value may violate the requirement of base64 RFC which mandates line-length of 76 characters and use of linefeeds. However, all `JsonParser` implementations are required to accept such "long line base64"; as do typical production-level base64 decoders.

  Specified by:
    `writeBinary` in class `JsonGenerator`
  Parameters:
    `b64variant` - Base64 variant to use: defines details such as whether padding is used (and if so, using which character); what is the maximum line length before adding linefeed, and also the underlying alphabet to use.
  Throws:
    `IOException`
    `JsonGenerationException`

### writeBoolean

    public void writeBoolean(boolean state)
                      throws IOException,
                             JsonGenerationException

  Description copied from class: `JsonGenerator`
  Method for outputting literal Json boolean value (one of Strings 'true' and 'false'). Can be called in any context where a value is expected (Array value, Object field value, root-level value). Additional white space may be added around the value if pretty-printing is enabled.

  Specified by:
    `writeBoolean` in class `JsonGenerator`
  Throws:
    `IOException`
    `JsonGenerationException`

### writeEndArray

    public void writeEndArray()
                       throws IOException,
                              JsonGenerationException

  Description copied from class: `JsonGenerator`
  Method for writing closing marker of a JSON Array value (character ']'; plus possible white space decoration if pretty-printing is enabled).

  Marker can be written if the innermost structured type is Array.

  Specified by:
    `writeEndArray` in class `JsonGenerator`
  Throws:
    `IOException`
    `JsonGenerationException`

### writeEndObject

    public void writeEndObject()
                        throws IOException,
                               JsonGenerationException

  Description copied from class: `JsonGenerator`
  Method for writing closing marker of a JSON Object value (character '}'; plus possible white space decoration if pretty-printing is enabled).

  Marker can be written if the innermost structured type is Object, and the last written event was either a complete value, or START-OBJECT marker (see JSON specification for more details).

  Specified by:
    `writeEndObject` in class `JsonGenerator`
  Throws:
    `IOException`
    `JsonGenerationException`

### writeFieldName

    public void writeFieldName(String name)
                        throws IOException,
                               JsonGenerationException

  Description copied from class: `JsonGenerator`
  Method for writing a field name (JSON String surrounded by double quotes: syntactically identical to a JSON String value), possibly decorated by white space if pretty-printing is enabled.

  Field names can only be written in Object context (check out JSON specification for details), when field name is expected (field names alternate with values).

  Specified by:
    `writeFieldName` in class `JsonGenerator`
  Throws:
    `IOException`
    `JsonGenerationException`

### writeFieldName

    public void writeFieldName(SerializableString name)
                        throws IOException,
                               JsonGenerationException

  Description copied from class: `JsonGenerator`
  Method similar to `JsonGenerator.writeFieldName(String)`, main difference being that it may perform better as some of processing (such as quoting of certain characters, or encoding into external encoding if supported by generator) can be done just once and reused for later calls.

  Default implementation simple uses unprocessed name container in serialized String; implementations are strongly encouraged to make use of more efficient methods argument object has.

  Specified by:
    `writeFieldName` in class `JsonGenerator`
  Throws:
    `IOException`
    `JsonGenerationException`

### writeNull

    public void writeNull()
                   throws IOException,
                          JsonGenerationException

  Description copied from class: `JsonGenerator`
  Method for outputting literal Json null value. Can be called in any context where a value is expected (Array value, Object field value, root-level value). Additional white space may be added around the value if pretty-printing is enabled.

  Specified by:
    `writeNull` in class `JsonGenerator`
  Throws:
    `IOException`
    `JsonGenerationException`

### writeNumber

    public void writeNumber(int v)
                     throws IOException,
                            JsonGenerationException

  Description copied from class: `JsonGenerator`
  Method for outputting given value as Json number. Can be called in any context where a value is expected (Array value, Object field value, root-level value). Additional white space may be added around the value if pretty-printing is enabled.

  Specified by:
    `writeNumber` in class `JsonGenerator`
  Throws:
    `IOException`
    `JsonGenerationException`

### writeNumber

    public void writeNumber(long v)
                     throws IOException,
                            JsonGenerationException

  Description copied from class: `JsonGenerator`
  Method for outputting given value as Json number. Can be called in any context where a value is expected (Array value, Object field value, root-level value). Additional white space may be added around the value if pretty-printing is enabled.

  Specified by:
    `writeNumber` in class `JsonGenerator`
  Throws:
    `IOException`
    `JsonGenerationException`

### writeNumber

    public void writeNumber(BigInteger v)
                     throws IOException,
                            JsonGenerationException

  Description copied from class: `JsonGenerator`
  Method for outputting given value as Json number. Can be called in any context where a value is expected (Array value, Object field value, root-level value). Additional white space may be added around the value if pretty-printing is enabled.

  Specified by:
    `writeNumber` in class `JsonGenerator`
  Throws:
    `IOException`
    `JsonGenerationException`

### writeNumber

    public void writeNumber(double v)
                     throws IOException,
                            JsonGenerationException

  Description copied from class: `JsonGenerator`
  Method for outputting indicate Json numeric value. Can be called in any context where a value is expected (Array value, Object field value, root-level value). Additional white space may be added around the value if pretty-printing is enabled.

  Specified by:
    `writeNumber` in class `JsonGenerator`
  Throws:
    `IOException`
    `JsonGenerationException`

### writeNumber

    public void writeNumber(float v)
                     throws IOException,
                            JsonGenerationException

  Description copied from class: `JsonGenerator`
  Method for outputting indicate Json numeric value. Can be called in any context where a value is expected (Array value, Object field value, root-level value). Additional white space may be added around the value if pretty-printing is enabled.

  Specified by:
    `writeNumber` in class `JsonGenerator`
  Throws:
    `IOException`
    `JsonGenerationException`

### writeNumber

    public void writeNumber(BigDecimal v)
                     throws IOException,
                            JsonGenerationException

  Description copied from class: `JsonGenerator`
  Method for outputting indicate Json numeric value. Can be called in any context where a value is expected (Array value, Object field value, root-level value). Additional white space may be added around the value if pretty-printing is enabled.

  Specified by:
    `writeNumber` in class `JsonGenerator`
  Throws:
    `IOException`
    `JsonGenerationException`

### writeNumber

    public void writeNumber(String encodedValue)
                     throws IOException,
                            JsonGenerationException,
                            UnsupportedOperationException

  Description copied from class: `JsonGenerator`
  Write method that can be used for custom numeric types that can not be (easily?) converted to "standard" Java number types. Because numbers are not surrounded by double quotes, regular `JsonGenerator.writeString(java.lang.String)` method can not be used; nor `JsonGenerator.writeRaw(java.lang.String)` because that does not properly handle value separators needed in Array or Object contexts.

  Note: because of lack of type safety, some generator implementations may not be able to implement this method. For example, if a binary json format is used, it may require type information for encoding; similarly for generator-wrappers around Java objects or Json nodes. If implementation does not implement this method, it needs to throw `UnsupportedOperationException`.

  Specified by:
    `writeNumber` in class `JsonGenerator`
  Throws:
    `IOException`
    `JsonGenerationException`
    `UnsupportedOperationException`

### writeObject

    public void writeObject(Object pojo)
                     throws IOException,
                            JsonProcessingException

  Description copied from class: `JsonGenerator`
  Method for writing given Java object (POJO) as Json. Exactly how the object gets written depends on object in question (ad on codec, its configuration); for most beans it will result in Json object, but for others Json array, or String or numeric value (and for nulls, Json null literal. NOTE: generator must have its object codec set to non-null value; for generators created by a mapping factory this is the case, for others not.

  Specified by:
    `writeObject` in class `JsonGenerator`
  Throws:
    `IOException`
    `JsonProcessingException`

### writeRaw

    public void writeRaw(String text)
                  throws IOException,
                         JsonGenerationException

  Description copied from class: `JsonGenerator`
  Method that will force generator to copy input text verbatim with no modifications (including that no escaping is done and no separators are added even if context [array, object] would otherwise require such). If such separators are desired, use `JsonGenerator.writeRawValue(String)` instead.

  Note that not all generator implementations necessarily support such by-pass methods: those that do not will throw `UnsupportedOperationException`.

  Specified by:
    `writeRaw` in class `JsonGenerator`
  Throws:
    `IOException`
    `JsonGenerationException`

### writeRaw

    public void writeRaw(String text,
                         int offset,
                         int len)
                  throws IOException,
                         JsonGenerationException

  Description copied from class: `JsonGenerator`
  Method that will force generator to copy input text verbatim with no modifications (including that no escaping is done and no separators are added even if context [array, object] would otherwise require such). If such separators are desired, use `JsonGenerator.writeRawValue(String)` instead.

  Note that not all generator implementations necessarily support such by-pass methods: those that do not will throw `UnsupportedOperationException`.

  Specified by:
    `writeRaw` in class `JsonGenerator`
  Throws:
    `IOException`
    `JsonGenerationException`

### writeRaw

    public void writeRaw(char[] text,
                         int offset,
                         int len)
                  throws IOException,
                         JsonGenerationException

  Description copied from class: `JsonGenerator`
  Method that will force generator to copy input text verbatim with no modifications (including that no escaping is done and no separators are added even if context [array, object] would otherwise require such). If such separators are desired, use `JsonGenerator.writeRawValue(String)` instead.

  Note that not all generator implementations necessarily support such by-pass methods: those that do not will throw `UnsupportedOperationException`.

  Specified by:
    `writeRaw` in class `JsonGenerator`
  Throws:
    `IOException`
    `JsonGenerationException`

### writeRaw

    public void writeRaw(char c)
                  throws IOException,
                         JsonGenerationException

  Description copied from class: `JsonGenerator`
  Method that will force generator to copy input text verbatim with no modifications (including that no escaping is done and no separators are added even if context [array, object] would otherwise require such). If such separators are desired, use `JsonGenerator.writeRawValue(String)` instead.

  Note that not all generator implementations necessarily support such by-pass methods: those that do not will throw `UnsupportedOperationException`.

  Specified by:
    `writeRaw` in class `JsonGenerator`
  Throws:
    `IOException`
    `JsonGenerationException`

### writeRawValue

    public void writeRawValue(String text)
                       throws IOException,
                              JsonGenerationException

  Description copied from class: `JsonGenerator`
  Method that will force generator to copy input text verbatim without any modifications, but assuming it must constitute a single legal JSON value (number, string, boolean, null, Array or List). Assuming this, proper separators are added if and as needed (comma or colon), and generator state updated to reflect this.

  Specified by:
    `writeRawValue` in class `JsonGenerator`
  Throws:
    `IOException`
    `JsonGenerationException`

### writeRawValue

    public void writeRawValue(String text,
                              int offset,
                              int len)
                       throws IOException,
                              JsonGenerationException

  Specified by:
    `writeRawValue` in class `JsonGenerator`
  Throws:
    `IOException`
    `JsonGenerationException`

### writeRawValue

    public void writeRawValue(char[] text,
                              int offset,
                              int len)
                       throws IOException,
                              JsonGenerationException

  Specified by:
    `writeRawValue` in class `JsonGenerator`
  Throws:
    `IOException`
    `JsonGenerationException`

### writeStartArray

    public void writeStartArray()
                         throws IOException,
                                JsonGenerationException

  Description copied from class: `JsonGenerator`
  Method for writing starting marker of a JSON Array value (character '['; plus possible white space decoration if pretty-printing is enabled).

  Array values can be written in any context where values are allowed: meaning everywhere except for when a field name is expected.

  Specified by:
    `writeStartArray` in class `JsonGenerator`
  Throws:
    `IOException`
    `JsonGenerationException`

### writeStartObject

    public void writeStartObject()
                          throws IOException,
                                 JsonGenerationException

  Description copied from class: `JsonGenerator`
  Method for writing starting marker of a JSON Object value (character '{'; plus possible white space decoration if pretty-printing is enabled).

  Object values can be written in any context where values are allowed: meaning everywhere except for when a field name is expected.

  Specified by:
    `writeStartObject` in class `JsonGenerator`
  Throws:
    `IOException`
    `JsonGenerationException`

### writeString

    public void writeString(String text)
                     throws IOException,
                            JsonGenerationException

  Description copied from class: `JsonGenerator`
  Method for outputting a String value. Depending on context this means either array element, (object) field value or a stand alone String; but in all cases, String will be surrounded in double quotes, and contents will be properly escaped as required by JSON specification.

  Specified by:
    `writeString` in class `JsonGenerator`
  Throws:
    `IOException`
    `JsonGenerationException`

### writeString

    public void writeString(char[] text,
                            int offset,
                            int len)
                     throws IOException,
                            JsonGenerationException

  Description copied from class: `JsonGenerator`
  Method for outputting a String value. Depending on context this means either array element, (object) field value or a stand alone String; but in all cases, String will be surrounded in double quotes, and contents will be properly escaped as required by JSON specification.

  Specified by:
    `writeString` in class `JsonGenerator`
  Throws:
    `IOException`
    `JsonGenerationException`

### writeString

    public void writeString(SerializableString text)
                     throws IOException,
                            JsonGenerationException

  Description copied from class: `JsonGenerator`
  Method similar to `JsonGenerator.writeString(String)`, but that takes `SerializableString` which can make this potentially more efficient to call as generator may be able to reuse quoted and/or encoded representation.

  Default implementation just calls `JsonGenerator.writeString(String)`; sub-classes should override it with more efficient implementation if possible.

  Specified by:
    `writeString` in class `JsonGenerator`
  Throws:
    `IOException`
    `JsonGenerationException`

### writeRawUTF8String

    public void writeRawUTF8String(byte[] text,
                                   int offset,
                                   int length)
                            throws IOException,
                                   JsonGenerationException

  Description copied from class: `JsonGenerator`
  Method similar to `JsonGenerator.writeString(String)` but that takes as its input a UTF-8 encoded String that is to be output as-is, without additional escaping (type of which depends on data format; backslashes for JSON). However, quoting that data format requires (like double-quotes for JSON) will be added around the value if and as necessary.

  Note that some backends may choose not to support this method: for example, if underlying destination is a `Writer` using this method would require UTF-8 decoding. If so, implementation may instead choose to throw a `UnsupportedOperationException` due to ineffectiveness of having to decode input.

  Specified by:
    `writeRawUTF8String` in class `JsonGenerator`
  Throws:
    `IOException`
    `JsonGenerationException`

### writeUTF8String

    public void writeUTF8String(byte[] text,
                                int offset,
                                int length)
                         throws IOException,
                                JsonGenerationException

  Description copied from class: `JsonGenerator`
  Method similar to `JsonGenerator.writeString(String)` but that takes as its input a UTF-8 encoded String which has not been escaped using whatever escaping scheme data format requires (for JSON that is backslash-escaping for control characters and double-quotes; for other formats something else). This means that textual JSON backends need to check if value needs JSON escaping, but otherwise can just be copied as is to output. Also, quoting that data format requires (like double-quotes for JSON) will be added around the value if and as necessary.

  Note that some backends may choose not to support this method: for example, if underlying destination is a `Writer` using this method would require UTF-8 decoding. In this case generator implementation may instead choose to throw a `UnsupportedOperationException` due to ineffectiveness of having to decode input.

  Specified by:
    `writeUTF8String` in class `JsonGenerator`
  Throws:
    `IOException`
    `JsonGenerationException`

### writeTree

    public void writeTree(TreeNode rootNode)
                   throws IOException,
                          JsonProcessingException

  Description copied from class: `JsonGenerator`
  Method for writing given JSON tree (expressed as a tree where given JsonNode is the root) using this generator. This will generally just call `JsonGenerator.writeObject(java.lang.Object)` with given node, but is added for convenience and to make code more explicit in cases where it deals specifically with trees.

  Specified by:
    `writeTree` in class `JsonGenerator`
  Throws:
    `IOException`
    `JsonProcessingException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 fasterxml.com. All Rights Reserved.